diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py
index 526b36cd..01e28729 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_delete.py
@@ -9,79 +9,124 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as index_constraint_utils
 
 
-class IndexConstraintDeleteTestCase(BaseTestGenerator):
-    """This class will delete index constraint(primary key or unique key) of
-    table column"""
-    skip_on_database = ['gpdb']
-    primary_key_name = "test_primarykey_delete_%s" % \
-                       (str(uuid.uuid4())[1:8])
-    unique_key_name = "test_uniquekey_delete_%s" % \
-                      (str(uuid.uuid4())[1:8])
-    scenarios = [
-        ('Delete primary Key constraint of table',
-         dict(url='/browser/primary_key/obj/', name=primary_key_name,
-              type="PRIMARY KEY")),
-        ('Delete unique Key constraint of table',
-         dict(url='/browser/unique_constraint/obj/', name=unique_key_name,
-              type="UNIQUE"))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestIndexConstraintDelete:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_primary_key_delete(self, context_of_tests):
+        """
+        When the Primary Key Constraint DELETE request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    @classmethod
-    def setUpClass(cls):
-        cls.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        cls.server_id = schema_info["server_id"]
-        cls.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(cls, utils.SERVER_GROUP,
-                                                 cls.server_id, cls.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a "
-                            "index constraint(primary key or unique key).")
-        cls.schema_id = schema_info["schema_id"]
-        cls.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(cls.server,
-                                                      cls.db_name,
-                                                      cls.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a index "
-                            "constraint(primary key or unique key).")
-        cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:8])
-        cls.table_id = tables_utils.create_table(cls.server,
-                                                 cls.db_name,
-                                                 cls.schema_name,
-                                                 cls.table_name)
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
 
-    def runTest(self):
-        """This function will delete index constraint(primary key or
-        unique key) of table column."""
+        primary_key_name = 'test_primarykey_delete_%s' % \
+                           (str(uuid.uuid4())[1:8])
         index_constraint_id = \
             index_constraint_utils.create_index_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.name, self.type)
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
+                server, db_name, schema_name, table_name,
+                primary_key_name, 'PRIMARY KEY')
+        url = '/browser/primary_key/obj/'
+
+        response = http_client.delete(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
+                                                index_constraint_id),
+            follow_redirects=True
+        )
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Primary key dropped.')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_unique_constraint_delete(self, context_of_tests):
+        """
+        When the Unique Constraint DELETE request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+
+        unique_constraint_name = 'test_uniquekey_delete_%s' % \
+                                 (str(uuid.uuid4())[1:8])
+        index_constraint_id = \
+            index_constraint_utils.create_index_constraint(
+                server, db_name, schema_name, table_name,
+                unique_constraint_name, 'UNIQUE')
+        url = '/browser/unique_constraint/obj/'
+
+        response = http_client.delete(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
                                                 index_constraint_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    @classmethod
-    def tearDownClass(cls):
-        # Disconnect the database
-        database_utils.disconnect_database(cls, cls.server_id, cls.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Unique constraint dropped.')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
index 31412176..0025e0b4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
@@ -9,79 +9,142 @@
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as index_constraint_utils
 
 
-class IndexConstraintGetTestCase(BaseTestGenerator):
-    """This class will fetch the index constraint(primary key or unique key) of
-    table column"""
-    skip_on_database = ['gpdb']
-    primary_key_name = "test_primarykey_delete_%s" % \
-                       (str(uuid.uuid4())[1:8])
-    unique_key_name = "test_uniquekey_delete_%s" % \
-                      (str(uuid.uuid4())[1:8])
-    scenarios = [
-        ('Fetch primary Key constraint of table',
-         dict(url='/browser/primary_key/obj/', name=primary_key_name,
-              type="PRIMARY KEY")),
-        ('Fetch unique Key constraint of table',
-         dict(url='/browser/unique_constraint/obj/', name=unique_key_name,
-              type="UNIQUE"))
-    ]
-
-    @classmethod
-    def setUpClass(cls):
-        cls.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        cls.server_id = schema_info["server_id"]
-        cls.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(cls, utils.SERVER_GROUP,
-                                                 cls.server_id, cls.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a "
-                            "index constraint(primary key or unique key).")
-        cls.schema_id = schema_info["schema_id"]
-        cls.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(cls.server,
-                                                      cls.db_name,
-                                                      cls.schema_name)
+@pytest.mark.skip_databases(['gpdb'])
+class TestIndexConstraintGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_primary_key_get(self, context_of_tests):
+        """
+        When the Primary Key GET request is send to the backend
+        it returns 200 status
+        """
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a index "
-                            "constraint(primary key or unique key).")
-        cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:8])
-        cls.table_id = tables_utils.create_table(cls.server,
-                                                 cls.db_name,
-                                                 cls.schema_name,
-                                                 cls.table_name)
-
-    def runTest(self):
-        """This function will fetch the index constraint(primary key or
-        unique key) of table column."""
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+
+        primary_key_name = 'test_primarykey_get_%s' % \
+                           (str(uuid.uuid4())[1:8])
         index_constraint_id = \
             index_constraint_utils.create_index_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.name, self.type)
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
+                server, db_name, schema_name, table_name,
+                primary_key_name, 'PRIMARY KEY')
+        url = '/browser/primary_key/obj/'
+        response = http_client.get(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
                                                 index_constraint_id),
             follow_redirects=True
         )
-        self.assertEquals(response.status_code, 200)
 
-    @classmethod
-    def tearDownClass(cls):
-        # Disconnect the database
-        database_utils.disconnect_database(cls, cls.server_id, cls.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('comment') > should.be.none
+        (json_response | should.have.key('name') >
+         should.be.equal.to(primary_key_name))
+        (json_response | should.have.key('indnatts') >
+         should.be.equal.to(1))
+        json_response | should.have.key('oid')
+        json_response | should.have.key('condeferrable') > should.be.false
+        json_response | should.have.key('condeferred') > should.be.false
+        json_response | should.have.key('fillfactor') > should.be.none
+        (json_response | should.have.key('spcname') >
+         should.be.equal.to('pg_default'))
+
+        json_response | should.have.key('columns') > should.have.length.of(1)
+        (json_response['columns'][0] | should.have.key('column') >
+         should.be.equal.to('id'))
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_unique_constraint_get(self, context_of_tests):
+        """
+        When the Uniquer Constraint GET request is send to the backend
+        it returns 200 status
+        """
+
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+
+        unique_constraint_name = 'test_unique_constraint_get_%s' % \
+                                 (str(uuid.uuid4())[1:8])
+        index_constraint_id = \
+            index_constraint_utils.create_index_constraint(
+                server, db_name, schema_name, table_name,
+                unique_constraint_name, 'UNIQUE')
+        url = '/browser/unique_constraint/obj/'
+        response = http_client.get(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url, utils.SERVER_GROUP,
+                                                server_id, db_id,
+                                                schema_id,
+                                                table_id,
+                                                index_constraint_id),
+            follow_redirects=True
+        )
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('comment') > should.be.none
+        (json_response | should.have.key('name') >
+         should.be.equal.to(unique_constraint_name))
+        (json_response | should.have.key('indnatts') >
+         should.be.equal.to(1))
+        json_response | should.have.key('oid')
+        json_response | should.have.key('condeferrable') > should.be.false
+        json_response | should.have.key('condeferred') > should.be.false
+        json_response | should.have.key('fillfactor') > should.be.none
+        (json_response | should.have.key('spcname') >
+         should.be.equal.to('pg_default'))
+
+        json_response | should.have.key('columns') > should.have.length.of(1)
+        (json_response['columns'][0] | should.have.key('column') >
+         should.be.equal.to('id'))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
index ef0e3ade..53c10ee6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
@@ -10,81 +10,133 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as index_constraint_utils
 
 
-class IndexConstraintUpdateTestCase(BaseTestGenerator):
-    """This class will update index constraint(primary key or unique key) of
-    table column"""
-    skip_on_database = ['gpdb']
-    primary_key_name = "test_primarykey_put_%s" % \
-                       (str(uuid.uuid4())[1:8])
-    unique_key_name = "test_uniquekey_put_%s" % \
-                      (str(uuid.uuid4())[1:8])
-    data = {"oid": "", "comment": "this is test comment"}
-    scenarios = [
-        ('Update primary Key constraint of table',
-         dict(url='/browser/primary_key/obj/', name=primary_key_name,
-              type="PRIMARY KEY", data=data)),
-        ('Update unique Key constraint of table',
-         dict(url='/browser/unique_constraint/obj/', name=unique_key_name,
-              type="UNIQUE", data=data))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestIndexConstraintUpdate:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_primary_key_update(self, context_of_tests):
+        """
+        When the Primary Key PUT request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
 
-    @classmethod
-    def setUpClass(cls):
-        cls.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        cls.server_id = schema_info["server_id"]
-        cls.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(cls, utils.SERVER_GROUP,
-                                                 cls.server_id, cls.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a "
-                            "index constraint(primary key or unique key).")
-        cls.schema_id = schema_info["schema_id"]
-        cls.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(cls.server,
-                                                      cls.db_name,
-                                                      cls.schema_name)
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
-            raise Exception("Could not find the schema to add a index "
-                            "constraint(primary key or unique key).")
-        cls.table_name = "table_indexconstraint_%s" % \
-                         (str(uuid.uuid4())[1:8])
-        cls.table_id = tables_utils.create_table(cls.server,
-                                                 cls.db_name,
-                                                 cls.schema_name,
-                                                 cls.table_name)
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+        primary_key_name = 'test_primarykey_put_%s' % \
+                           (str(uuid.uuid4())[1:8])
+        index_constraint_id = \
+            index_constraint_utils.create_index_constraint(
+                server, db_name, schema_name, table_name,
+                primary_key_name, 'PRIMARY KEY')
+        data = {'oid': index_constraint_id, 'comment': 'this is test comment'}
+        url = '/browser/primary_key/obj/'
+        response = http_client.put(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url,
+                                                utils.SERVER_GROUP,
+                                                server_id,
+                                                db_id,
+                                                schema_id,
+                                                table_id,
+                                                index_constraint_id
+                                                ),
+            data=json.dumps(data),
+            follow_redirects=True)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'primary_key',
+            'pgadmin.node.primary_key',
+            False,
+            'icon-primary_key',
+            primary_key_name
+        )
 
-    def runTest(self):
-        """This function will update index constraint(primary key or
-        unique key) of table column."""
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_unique_constraint_update(self, context_of_tests):
+        """
+        When the Unique Constraint PUT request is send to the backend
+        it returns 200 status
+        """
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
+        if not schema_response:
+            raise Exception('Could not find the schema to add a index '
+                            'constraint(primary key or unique key).')
+        table_name = 'table_indexconstraint_%s' % \
+                     (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server,
+                                             db_name,
+                                             schema_name,
+                                             table_name)
+        unique_constraint_name = 'test_uniqueconstraint_put_%s' % \
+                                 (str(uuid.uuid4())[1:8])
         index_constraint_id = \
             index_constraint_utils.create_index_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.name, self.type)
-        self.data["oid"] = index_constraint_id
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
+                server, db_name, schema_name, table_name,
+                unique_constraint_name, 'UNIQUE')
+        data = {'oid': index_constraint_id, 'comment': 'this is test comment'}
+        url = '/browser/unique_constraint/obj/'
+        response = http_client.put(
+            '{0}{1}/{2}/{3}/{4}/{5}/{6}'.format(url,
+                                                utils.SERVER_GROUP,
+                                                server_id,
+                                                db_id,
+                                                schema_id,
+                                                table_id,
                                                 index_constraint_id
                                                 ),
-            data=json.dumps(self.data),
+            data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
 
-    @classmethod
-    def tearDownClass(cls):
-        # Disconnect the database
-        database_utils.disconnect_database(cls, cls.server_id, cls.db_id)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'unique_constraint',
+            'pgadmin.node.unique_constraint',
+            False,
+            'icon-unique_constraint',
+            unique_constraint_name
+        )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/__init__.py
index 51209782..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ConstraintsTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/__init__.py
index 92138d8f..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class IndexesTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
